Skip to main content
POST
/
v1
/
boards
/
{boardId}
/
documents
/
process
Process a document
curl --request POST \
  --url https://api.chatgrid.ai/v1/v1/boards/{boardId}/documents/process \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_url": "https://storage.chatgrid.ai/board-files/usr_123/brd_456/report.pdf",
  "node_id": "e5f6a7b8-c9d0-1234-efab-345678901234"
}
'
{
  "object": "job",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "processing",
    "type": "document_process",
    "board_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "file_url": "<string>",
    "node_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Pass your API key (prefixed cgk_) or a Supabase JWT in the Authorization: Bearer <token> header.

Path Parameters

boardId
string<uuid>
required

Board UUID.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

Body

application/json
file_url
string<uri>
required

Public URL of the document to process.

Example:

"https://storage.chatgrid.ai/board-files/usr_123/brd_456/report.pdf"

node_id
string

Optional node to associate the processed content with.

Required string length: 1 - 255
Example:

"e5f6a7b8-c9d0-1234-efab-345678901234"

Response

Document processing job accepted.

object
enum<string>
Available options:
job
data
object